Fail to lunch all of a sudden cx_Freeze: Python error

Post your technical problems here.
coozer
Cadet
Posts: 2
Joined: Thu Feb 13, 2020 11:39 pm

Fail to lunch all of a sudden cx_Freeze: Python error

Unread postby coozer » Fri Feb 14, 2020 1:56 am

Hi,

The game will not lunch from team and gives the following error cx_Freeze: Python error
I have verified, reinstalled and verified again with no luck.

How do I fix it?

The log says:

INF 2020-02-14 12:40:59,275 tools.steamworks:71 SteamworksPy loaded for Windows
INF 2020-02-14 12:40:59,275 tools.steamworks:81 Steam is running
INF 2020-02-14 12:40:59,319 tools.steamworks:86 Steamworks initialized!
INF 2020-02-14 12:40:59,698 tools.steam_api:224 Steam user stats and achievements successfully fetched
INF 2020-02-14 12:40:59,721 uoc2.paths:321 Installed packages:
INF 2020-02-14 12:40:59,722 uoc2.paths:323 C:\Program Files (x86)\Steam\steamapps\common\Unity of Command 2\_packages\base
INF 2020-02-14 12:40:59,722 uoc2.main:102 ARGS log: None
INF 2020-02-14 12:40:59,725 uoc2.main:108 Platform: Windows-10-10.0.18362
INF 2020-02-14 12:40:59,726 uoc2.main:122 OpenGL error checking DISABLED
INF 2020-02-14 12:40:59,858 uoc2.settings:210 Initializing settings
ERR 2020-02-14 12:40:59,859 uoc2-exe:24 Traceback (most recent call last):
ERR 2020-02-14 12:40:59,859 uoc2-exe:24 File "C:\Users\Jure\Documents\uoc2\uoc2\settings.py", line 214, in init_settings
ERR 2020-02-14 12:40:59,859 uoc2-exe:24 File "C:\Users\Jure\Documents\uoc2\tools\yaml_.py", line 84, in yaml_load
ERR 2020-02-14 12:40:59,859 uoc2-exe:24 File "C:\Env_x64\Py36\lib\site-packages\yaml\__init__.py", line 72, in load
ERR 2020-02-14 12:40:59,859 uoc2-exe:24 File "C:\Env_x64\Py36\lib\site-packages\yaml\constructor.py", line 35, in get_single_data
ERR 2020-02-14 12:40:59,859 uoc2-exe:24 File "ext\_yaml.pyx", line 702, in _yaml.CParser.get_single_node (ext\_yaml.c:9619)
ERR 2020-02-14 12:40:59,859 uoc2-exe:24 File "ext\_yaml.pyx", line 905, in _yaml.CParser._parse_next_event (ext\_yaml.c:12854)
ERR 2020-02-14 12:40:59,859 uoc2-exe:24 yaml.reader.ReaderError: unacceptable character #x0000: control characters are not allowed
ERR 2020-02-14 12:40:59,859 uoc2-exe:24 in "C:\Users\Me (MB)\AppData\Local\.uoc2\settings.yml", position 0
ERR 2020-02-14 12:40:59,859 uoc2-exe:24
ERR 2020-02-14 12:40:59,859 uoc2-exe:24 During handling of the above exception, another exception occurred:
ERR 2020-02-14 12:40:59,859 uoc2-exe:24
ERR 2020-02-14 12:40:59,860 uoc2-exe:24 Traceback (most recent call last):
ERR 2020-02-14 12:40:59,860 uoc2-exe:24 File "uoc2-exe.py", line 17, in <module>
ERR 2020-02-14 12:40:59,860 uoc2-exe:24 File "C:\Users\Jure\Documents\uoc2\uoc2\main.py", line 141, in main
ERR 2020-02-14 12:40:59,860 uoc2-exe:24 File "C:\Users\Jure\Documents\uoc2\uoc2\settings.py", line 223, in init_settings
ERR 2020-02-14 12:40:59,860 uoc2-exe:24 NameError: name 'yaml' is not defined

User avatar
Danielefc
2x2 Games
Posts: 504
Joined: Thu Nov 24, 2011 10:03 pm

Re: Fail to lunch all of a sudden cx_Freeze: Python error

Unread postby Danielefc » Fri Feb 14, 2020 10:16 am

Hi,

deleting your settings.yml file located in C:\Users\"yourusername"\AppData\Local\.uoc2 should fix this

Cheers

coozer
Cadet
Posts: 2
Joined: Thu Feb 13, 2020 11:39 pm

Re: Fail to lunch all of a sudden cx_Freeze: Python error

Unread postby coozer » Tue Feb 18, 2020 2:38 am

It worked great thanks!